Comment installer Jeedom v3 sur Ri3?

Question simple… afin de tester un comportement de mon plugin sur un v3 tout-frais, je tente de ré-installer sur un Raspberry Pi B, Jeedom v3. Je lance ça :

wget -O- https://raw.githubusercontent.com/jeedom/core/refactoring/install/install.sh | sudo bash
A noter : refactoring dans l’url, qui semble être le nom de la branche v3, exact ?

mais j’obtiens une erreur :

Package mysql-client is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  mariadb-client-10.0

Package mysql-server is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  mariadb-server-10.0

E: Package 'mysql-client' has no installation candidate
E: Package 'mysql-server' has no installation candidate
\033[1;31mNe peut installer mysql-client mysql-common mysql-server - Annulation\033[0;39m

Bug de Jeedom install ? bug de mon raspberry pi?
ps : précédement j’ai lancé l’install sur sur la branche master, j’ai obtenu, sous soucis, le Jeedom v4.
ps2 : 3 tentatives, même soucis. Avec Raspian Lite, Full, français / anglais.

merci de votre aide.

salut
https://raw.githubusercontent.com/jeedom/core/refactoring/install/install.sh
Devrait fonctionner
Bonne journée
Damien

La branche refactoring n’est pas à utiliser, c’est un ancien test.

La v3 c’est la branche master

https://raw.githubusercontent.com/jeedom/core/master/install/install.sh

1 J'aime

@kiboost merci de ta réponse, mais non…

https://github.com/jeedom/core/blob/master/install/install.sh:339 :
VERSION=V4-stable

où est passé la v3 ? :frowning:

Ah oui, ben là je sais pas désolé, mais j’ai deja vue le sujet sur le forum.

Bonjour,

La dernière fois que j’ai fais le test c’était:

wget -O- https://raw.githubusercontent.com/jeedom/core/refactoring/install/install.sh | sudo bash

Par contre pas testé sur autre chose qu’un Rasbian 9 Stretch

Autrement il y a ici une version 3.3.19 vierge avec Rasbian stretch faite par Bronche

https://queen.useed.fr/SB1268/owncloud/index.php/s/QFwFFmA9xeSgBgx/download?path=%2FPI%20Toutes%20versions%20(SD%20et%20USB)%2FAncienne%20version&files=Jeedom%203.3.19%20Strech%204GO%20-%20PI%20Toutes%20versions%20-%20USB%20et%20SD.img.zip

Edit à15h06:

Je viens de refaire une installe pour tester sur une rasbian stretch avec la ligne de commande que j’ai donné ci-dessus et je me retrouve bien avec une 3.3.50 vierge.

Bonjour @jim005,

Pour installer Jeedom V3 c’est expliqué ici : [RTEX] Debian 10 - Buster - netinst - amd64 - Jeedom V4

akenad :slight_smile:

Bonsoir,
je suis un peu en retard pour faire la migration V3 → V4
pour assurer ma migration j’ai préparé un nouveau raspberry 3 avec raspios 10 buster lite
j’ai mille peines pour trouver le bon install.sh pour faire une clean install de la V3 sur buster:

  • premier essai avec la branche refactoring et VERSION=stable:
    même message que jim005 au début, étape 3 :« Ne peut installer mysql-client mysql-common mysql-server - Annulation » l’install lui propose mariadb
  • dernier essai ( je vous passe qlq essais infrustueux) qui a été le plus loin :
    j’ai pris la branche stable et Version=stable , étape 8 ok !! et le message :
    « Commence l’étape 9 installation de jeedom
    [START INSTALL]
    PHP Fatal error: Uncaught Exception: [MySQL] Error code : 42S02 (1146). Table ‹ jeedom.config › doesn’t exist : SELECT key,`value… »

ben la je suis paumé !!
Vu que ce nouveau rpi sera mon nouveau jeedom V4 je ne voudrais pas partir d’un version raspios trop ancienne :slight_smile:
questions: -dois repartir d’un raspios 9 stretch pour que l’install V3 aboutisse ?
je me dis que entre la 9 et la 11, la 10 doit être bien stable mais peut être pas supporté par Jee V3 …
- vais je bien chercher la bonne branche et la bonne "VERSION= " ?

Merci par avance pour votre aide .
bonne soirée

Tu prend l’image Jeedom tu va arriver en v4 restore tu va repasser en v3 et update tu aura migré en v4.

1 J'aime

Yes bonne idée, je n’y avais pas pensé. je teste ça demain
je suppose qu’il y a la commande pour passer en V3 .( donc restore de mon backup)

merci kiboost